aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHiltjo Posthuma <hiltjo@codemadness.org>2014-12-26 12:20:43 (GMT)
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-29 10:49:21 (GMT)
commit1ec859a34c5dd7879bc169f2ff169b3793822bb5 (patch)
treeaf894a031999c29977ae1577373f60ceb8a581be
parent115f0915bb5bb7c9c36b43c7fbfe0dd11435580c (diff)
downloadaports-1ec859a34c5dd7879bc169f2ff169b3793822bb5.tar.bz2
main/mdocml: upgrade to 1.13.2
-rw-r--r--main/mdocml/APKBUILD23
1 files changed, 16 insertions, 7 deletions
diff --git a/main/mdocml/APKBUILD b/main/mdocml/APKBUILD
index e624cbe..4ddc9c2 100644
--- a/main/mdocml/APKBUILD
+++ b/main/mdocml/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=mdocml
-pkgver=1.12.4
+pkgver=1.13.2
pkgrel=0
pkgdesc="mdoc/man compiler"
url="http://mdocml.bsd.lv/"
@@ -16,17 +16,26 @@ _builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
+ ./configure || return 1
}
build() {
cd "$_builddir"
- make PREFIX=/usr DBBIN= || return 1
+ make || return 1
}
package() {
cd "$_builddir"
- make DESTDIR="$pkgdir" PREFIX=/usr MANDIR=/usr/share/man DBBIN= \
- EXAMPLEDIR=/usr/share/doc/mdocml/examples base-install
+ make \
+ DESTDIR="$pkgdir" \
+ PREFIX=/usr \
+ MANDIR=/usr/share/man \
+ BINDIR=/usr/bin \
+ SBINDIR=/usr/sbin \
+ LIBDIR=/usr/lib \
+ INCLUDEDIR=/usr/include \
+ EXAMPLEDIR=/usr/share/doc/mdocml/examples \
+ base-install
}
man() {
@@ -36,9 +45,9 @@ man() {
install -Dm 755 man.sh "$subpkgdir"/usr/bin/man || return 1
}
-md5sums="1ad266467b9c9c6fcce5e237e8f5efd6 mdocml-1.12.4.tar.gz
+md5sums="831ba06ef06bccdf35346fc3310263a5 mdocml-1.13.2.tar.gz
cc5c665dc509243963f1b3a60f655b7f man.sh"
-sha256sums="dcae3de8098026046848dcb853ea72c3eb5378a7c94a55adaf5e7b04058f780a mdocml-1.12.4.tar.gz
+sha256sums="9074755da96e8afbf9634d7ffa29c1decda2f642e13d9d844f26cd1e06d9716b mdocml-1.13.2.tar.gz
03039dd8c79cf054200cfe328924078ecc103f87be94ecabf7f7e5ad9e3c48eb man.sh"
-sha512sums="22acca47e92039465f84652cba77a375eb734b3059440940cf3447cde0e0da3c169b4bf93c7f05a8994743505d853974d53c072f1fd7959879c68b20f43f2253 mdocml-1.12.4.tar.gz
+sha512sums="7db73ff83be9acff50e8570de96591869c950dad8b350d119e57fcf39937a3272cf9d70397af2e21ec69877c5f81bc1c4e027910a4aef1033ff54b744904412c mdocml-1.13.2.tar.gz
2d6bcde740d613ab225c2e35e53d6057bdc367ef85c75ccb99df587f51484e87c5fd958298be9d770241014eec4a2bd7be8084f00815fd64a999cb7752bdfb3f man.sh"